Gui: horizontal spacer for "marker line" symbols seems out of place

2012-09-28 03:48 AM - Alister Hood

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 15672

Description

In the redesigned symbology gui when a "marker line" symbol layer is selected (for a polyline layer), or an "outline: marker line" symbol

layer is selected (for a polygon layer), then there is a horizontal separator above the options for marker rotation.

This separator seems completely out of place.

There are no separators for any of the other types of symbol layer.  Note that the "simple line" symbol layer instead has a gap (depending

on the height of the dialogue) above the less significant "join style" and "cap style" options.

There are no other separators in the entire layer properties dialogue.  Logically there are other places where a separator would make a lot

more sense.  e.g. underneath the "symbol layer type" selector.

History

#1 - 2012-09-28 03:50 AM - Alister Hood

- Subject changed from Gui: horizontal spacer seems out of place to Gui: horizontal spacer for "marker line" symbols seems out of place

#2 - 2014-05-04 05:01 AM - Nyall Dawson

Can this be closed? I can't see this horizontal spacer in current master...

#3 - 2014-05-04 11:50 PM - Alister Hood

Yeah, maybe it is fixed.  Are you on Windows?  I don't have a Windows machine to check there anymore.  There is no visible separator on Linux.  There is

a gap beneath "symbol layer type" which isn't there when "simple line" is selected, but maybe that is because of the widget that is used to group the marker

placement options...

#4 - 2015-07-12 07:11 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

As reported, no longer an issue
